Download it now!
Bug 87739 - FILEOPEN : XLSX - formulas linked to other sheets are not refreshed when opening file (hard recalc needed)
Summary: FILEOPEN : XLSX - formulas linked to other sheets are not refreshed when open...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: Cell-Formula XLSX
  Show dependency treegraph
 
Reported: 2014-12-26 11:11 UTC by dpierret
Modified: 2020-10-08 08:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
files 1.xlsx and 2.xlsx (9.19 KB, application/zip)
2014-12-26 11:11 UTC, dpierret
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dpierret 2014-12-26 11:11:31 UTC
Created attachment 111364 [details]
files 1.xlsx and 2.xlsx

Problem description:  formulas linked to other XlSX sheets are not refreshed when opening the file

Steps to reproduce:
1. create a new file in Excel 2013 format : c:\C:\Temp\LibreOffice\1.xlsx 
2. add a value in cell A1 (sample value : 10) of file 1.xlsx and save the file
3. create a second file in Excel 2013 format : c:\C:\Temp\LibreOffice\2.xlsx 
4. in cell A1 of file 2.xlsx, set value equal content of cell A1 of file 1.xlsx and save the file file 2.xlsx. Cell A1 contains formula : ='file:///C:/Temp/LibreOffice/1.xlsx'#$Sheet1.A1 . In this case, the cell shows the value 10
5. open file 1.xlsx, change the content of cell A1 from 10 to 15 and save the file.
6. open file 2.xlsx. LibreOffice notifies that the spreasheet has cells with link to other spreadsheet(s). Select YES to get the cell content updated. In this LibreOffice version, the cell A1 in file 2.xlsx is not refreshed as expected. It still shows the value 10 but it should display the value 15.


Current behavior: formulas linked to other sheets are not refreshed => the cell shows the old value : 10 

Expected behavior: formulas linked to other sheets are refreshed => the cell shows the new value : 15
Comment 1 MM 2014-12-26 12:42:28 UTC
Unconfirmed with V4.3.5.2 on windows 7 x64
Unconfirmed with V4.3.5.2 on mint 17.1 x64

Even opening the 2 files together, changing the value in file 1 and without saving making a hard-update with CTRL-Shift-F9 works.
Comment 2 raal 2014-12-28 18:31:47 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 57626f2132f73e4e42b31e364b25c5867336e718
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-26_09:26:33

Hard recalc ctrl+shift+f9 needed
Comment 3 QA Administrators 2016-09-20 09:38:05 UTC Comment hidden (obsolete)
Comment 4 dpierret 2017-06-03 08:37:57 UTC
tested Version: 5.3.3.2 - same issue
Comment 5 QA Administrators 2018-07-03 02:39:13 UTC Comment hidden (obsolete)
Comment 6 dpierret 2018-08-04 15:55:00 UTC
Tested latest version 6.0.5.2 (X64) :
1/ Cells on 2.xlsx are still not refreshed.
2/ Option to refresh the link data does not help
Comment 7 QA Administrators 2019-08-05 03:28:01 UTC
Dear dpierret,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug